13.6. Rescaling movies
Prev | Chapter 13. Basic usage of MEncoder | Next

## 13.6. Rescaling movies

Often the need to resize movie images' size emerges. Its reasons can be many: decreasing file size, network bandwidth, etc. Most people even do rescaling when converting DVDs or SVCDs to DivX AVI. If you wish to rescale, read the Preserving aspect ratio section.

The scaling process is handled by the `scale` video filter: `-vf scale=`width`:`height``. Its quality can be set with the `-sws` option. If it is not specified, MEncoder will use 2: bicubic.

Usage:

    mencoder input.mpg -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell \
        -vf scale=640:480 -o output.avi

Prev | Up | Next
13.5. Encoding to MPEG format | Home | 13.7. Stream copying